Bug 1703474 - [RFE] Add m5a, r5a and t3a instance types to CFME
Summary: [RFE] Add m5a, r5a and t3a instance types to CFME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.8
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard: ec2:flavor
Depends On: 1647845
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 14:23 UTC by Satoe Imaishi
Modified: 2019-08-13 08:35 UTC (History)
5 users (show)

Fixed In Version: 5.10.8.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1647845
Environment:
Last Closed: 2019-08-13 08:35:35 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:46 UTC

Comment 2 CFME Bot 2019-04-26 14:26:19 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/b430c0796a0f8b06221fb06369e60836ae42cc32
commit b430c0796a0f8b06221fb06369e60836ae42cc32
Author:     Daniel Berger <djberg96@gmail.com>
AuthorDate: Wed Feb 13 16:02:49 2019 -0500
Commit:     Daniel Berger <djberg96@gmail.com>
CommitDate: Wed Feb 13 16:02:49 2019 -0500

    Merge pull request #514 from AlexanderZagaynov/updates/new_itypes_2019-02-11

    update instance types and regions

    (cherry picked from commit d8667456cd6a6f16794e3ea1b504ad8658e4aa0d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703472
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703473
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703474
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703475
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 db/fixtures/aws_instance_types.yml | 827 +-
 db/fixtures/aws_regions.yml | 8 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 spec/models/manageiq/providers/amazon/regions_spec.rb | 6 +-
 spec/vcr_cassettes/manageiq/providers/amazon/regions.yml | 22 +-
 6 files changed, 803 insertions(+), 64 deletions(-)

Comment 3 Matouš Mojžíš 2019-05-02 13:17:53 UTC
T3a instances are still not available in CFME.

Comment 4 Alexander Zagaynov 2019-05-02 13:37:43 UTC
Yes, I see ( I did update quite a long ago, and they added those types only in a past week: https://github.com/aws/aws-sdk-ruby/commit/497953b7f6937f0ed3f57e7bd5951b4a75f60dbd#diff-01d6c95d7ff1abba310fbde6955a3902
New PR will be ready soo.

Comment 5 Alexander Zagaynov 2019-05-10 01:07:36 UTC
PR: https://github.com/ManageIQ/manageiq-providers-amazon/pull/532

Comment 6 Alexander Zagaynov 2019-05-10 01:56:18 UTC
PR merged

Comment 13 CFME Bot 2019-07-22 21:38:55 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/7ff93bc57f16a12310884ca57f213cc66fdd284e
commit 7ff93bc57f16a12310884ca57f213cc66fdd284e
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu May  9 21:44:41 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu May  9 21:44:41 2019 -0400

    Merge pull request #532 from AlexanderZagaynov/BZ-1705565_new_regions_and_instance_types

    new regions and instance types

    (cherry picked from commit 9d1567e0816e583493924a13b4419b109d23d3a9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703474
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1728708
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 app/models/manageiq/providers/amazon/regions.rb | 12 +
 config/settings.yml | 2 +
 db/fixtures/aws_instance_types.yml | 2251 +-
 db/fixtures/aws_regions.yml | 8 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 spec/models/manageiq/providers/amazon/regions_spec.rb | 31 +-
 spec/vcr_cassettes/manageiq/providers/amazon/regions.yml | 16 +-
 8 files changed, 2017 insertions(+), 307 deletions(-)

Comment 14 Matouš Mojžíš 2019-08-05 12:50:28 UTC
Verified in 5.10.8.0. All m5a,r5a and t3a instances types at the time of creating this BZ are already in CFME.
There are some more new in this BZ:https://bugzilla.redhat.com/show_bug.cgi?id=1724686

Comment 16 errata-xmlrpc 2019-08-13 08:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.